Subject: bug#12074: closed (Re: bug#12074: emacs crashes on startup)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 28 Jul 2012 19:34:02 +0000

Your bug report

#12074: emacs crashes on startup

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12074: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12074
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12074: emacs crashes on startup
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sat, 28 Jul 2012 22:25:43 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> cc: Andreas Schwab <[email-masked]>, [email-masked]
> From: Nick Dokos <[email-masked]>
> Date: Sat, 28 Jul 2012 14:14:20 -0400
> 
> OK - thanks! I guess I just pulled at the wrong time.  I cannot
> reproduce the crash when I built from bzr (but I'm not sure I did things
> correctly, given my ignorance about bzr).

Thanks, I think this bug can be closed, then.  Feel free to reopen if
you bump into these crashes again.

Subject: emacs crashes on startup
From: Nick Dokos <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 27 Jul 2012 23:13:16 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I just updated emacs from the git repo 

       git://repo.or.cz/emacs.git

git describe says

       v24.0.50-14303-g6aecb14

I built it successfully but when starting it up, it gets a fatal abort
error. I ran it under gdb and got the (first) backtrace appended. Something in
my .emacs triggers this because starting it with -Q or -q does not
abort. OTOH, my .emacs was working fine with the previous version of
emacs24 (I had built that around the end of May) and it still works with
emacs23 (which is what I'm using right now).

I bisected my way through my .emacs and it seems that a (mh-rmail) call
is enough to trigger it:

$ ./src/emacs -Q -l ~/minimal.mh-rmail.el 
Fatal error (6)Segmentation fault (core dumped)

where minimal.mh-rmail.el is just

--8<---------------cut here---------------start------------->8---
(mh-rmail)
--8<---------------cut here---------------end--------------->8---

and the backtrace is simpler (search for "Simpler backtrace" below).

Thanks,
Nick

Original backtrace:

$ gdb ./src/emacs
GNU gdb (Ubuntu/Linaro 7.2-1ubuntu11) 7.2
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
/home/nick/.gdbinit:3: Error in sourced command file:
No symbol table is loaded.  Use the "file" command.
Reading symbols from /home/nick/src/emacs/emacs.repo/emacs/src/emacs...done.
(gdb) run
Starting program: /home/nick/src/emacs/emacs.repo/emacs/src/emacs 
[Thread debugging using libthread_db enabled]
[New Thread 0x7fffe848b700 (LWP 14865)]
[New Thread 0x7fffe7a32700 (LWP 14866)]

Program received signal SIGABRT, Aborted.
0x00007ffff14fafe7 in kill () from /lib/x86_64-linux-gnu/libc.so.6
(gdb) bt
#0  0x00007ffff14fafe7 in kill () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00000000004fe4d5 in abort () at emacs.c:365
#2  0x000000000055f489 in mark_object (arg=<value optimized out>) at alloc.c:6221
#3  0x000000000055f4dc in mark_object (arg=<value optimized out>) at alloc.c:6217
#4  0x000000000055f4dc in mark_object (arg=<value optimized out>) at alloc.c:6217
#5  0x00000000005607cd in Fgarbage_collect () at alloc.c:5604
#6  0x00000000005777a4 in maybe_gc (form=42719510) at lisp.h:3526
#7  eval_sub (form=42719510) at eval.c:2054
#8  0x0000000000577f55 in Fprogn (args=42719462) at eval.c:362
#9  0x000000000057ad71 in Flet (args=42720070) at eval.c:919
#10 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#11 0x0000000000577f55 in Fprogn (args=42716982) at eval.c:362
#12 0x000000000057ad71 in Flet (args=42619958) at eval.c:919
#13 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#14 0x0000000000577f55 in Fprogn (args=42716934) at eval.c:362
#15 0x000000000057829b in funcall_lambda (fun=42716822, nargs=0, arg_vector=0x7fffffff8050) at eval.c:3034
#16 0x0000000000577600 in apply_lambda (fun=42716822, args=12016002) at eval.c:2918
#17 0x0000000000577916 in eval_sub (form=<value optimized out>) at eval.c:2221
#18 0x00000000005775c7 in apply_lambda (fun=39874134, args=12016002) at eval.c:2909
#19 0x0000000000577916 in eval_sub (form=<value optimized out>) at eval.c:2221
#20 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#21 0x0000000000577f55 in Fprogn (args=42620502) at eval.c:362
#22 0x000000000057829b in funcall_lambda (fun=42620294, nargs=0, arg_vector=0x7fffffff84b0) at eval.c:3034
#23 0x0000000000577600 in apply_lambda (fun=42620294, args=12016002) at eval.c:2918
#24 0x0000000000577916 in eval_sub (form=<value optimized out>) at eval.c:2221
#25 0x0000000000577f55 in Fprogn (args=42332838) at eval.c:362
#26 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#27 0x0000000000577f55 in Fprogn (args=42332806) at eval.c:362
#28 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#29 0x000000000057a793 in For (args=42332774) at eval.c:262
#30 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#31 0x0000000000577f55 in Fprogn (args=50279110) at eval.c:362
#32 0x000000000056b97d in Fsave_current_buffer (args=50279014) at editfns.c:963
#33 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#34 0x0000000000577ad8 in eval_sub (form=<value optimized out>) at eval.c:2218
#35 0x0000000000577f55 in Fprogn (args=42332742) at eval.c:362
#36 0x000000000057ad71 in Flet (args=41506694) at eval.c:919
#37 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#38 0x0000000000577f55 in Fprogn (args=42332710) at eval.c:362
#39 0x000000000057829b in funcall_lambda (fun=42332582, nargs=0, arg_vector=0x7fffffff8d50) at eval.c:3034
#40 0x0000000000577600 in apply_lambda (fun=42332582, args=12016002) at eval.c:2918
#41 0x0000000000577916 in eval_sub (form=<value optimized out>) at eval.c:2221
#42 0x000000000057ac5e in Flet (args=51862806) at eval.c:889
#43 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#44 0x0000000000577ad8 in eval_sub (form=<value optimized out>) at eval.c:2218
#45 0x0000000000577f55 in Fprogn (args=51863382) at eval.c:362
#46 0x0000000000576968 in internal_catch (tag=Cannot access memory at address 0x39ee
) at eval.c:1065
#47 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#48 0x0000000000577a84 in eval_sub (form=<value optimized out>) at eval.c:2142
#49 0x0000000000577ad8 in eval_sub (form=<value optimized out>) at eval.c:2218
#50 0x0000000000577ad8 in eval_sub (form=<value optimized out>) at eval.c:2218
#51 0x0000000000577f55 in Fprogn (args=34439318) at eval.c:362
#52 0x000000000057ad71 in Flet (args=34441830) at eval.c:919
#53 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#54 0x0000000000577f55 in Fprogn (args=34439430) at eval.c:362
#55 0x000000000057829b in funcall_lambda (fun=34439542, nargs=0, arg_vector=0x7fffffff9860) at eval.c:3034
#56 0x0000000000577600 in apply_lambda (fun=34439542, args=12016002) at eval.c:2918
#57 0x0000000000577916 in eval_sub (form=<value optimized out>) at eval.c:2221
#58 0x0000000000577f55 in Fprogn (args=51382358) at eval.c:362
#59 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#60 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#61 0x0000000000577ad8 in eval_sub (form=<value optimized out>) at eval.c:2218
#62 0x0000000000577f55 in Fprogn (args=34466070) at eval.c:362
#63 0x000000000057829b in funcall_lambda (fun=34466230, nargs=0, arg_vector=0x7fffffff9d30) at eval.c:3034
#64 0x0000000000577600 in apply_lambda (fun=34466230, args=12016002) at eval.c:2918
#65 0x0000000000577916 in eval_sub (form=<value optimized out>) at eval.c:2221
#66 0x000000000057a395 in Feval (form=51382950, lexical=<value optimized out>) at eval.c:2019
#67 0x0000000000577be5 in eval_sub (form=<value optimized out>) at eval.c:2160
#68 0x000000000057a9ea in internal_lisp_condition_case (var=12016002, bodyform=30100086, handlers=30100422) at eval.c:1262
#69 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#70 0x0000000000577f55 in Fprogn (args=30098438) at eval.c:362
#71 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#72 0x000000000057ac5e in Flet (args=30098486) at eval.c:889
#73 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#74 0x0000000000577f55 in Fprogn (args=30099302) at eval.c:362
#75 0x000000000057829b in funcall_lambda (fun=30097430, nargs=3, arg_vector=0x7fffffffa520) at eval.c:3034
#76 0x0000000000577600 in apply_lambda (fun=30097430, args=12016002) at eval.c:2918
#77 0x0000000000577916 in eval_sub (form=<value optimized out>) at eval.c:2221
#78 0x0000000000577e50 in Fsetq (args=<value optimized out>) at eval.c:431
#79 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#80 0x0000000000577f55 in Fprogn (args=33193990) at eval.c:362
#81 0x0000000000576968 in internal_catch (tag=Cannot access memory at address 0x39ee
) at eval.c:1065
#82 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#83 0x0000000000577f55 in Fprogn (args=33191942) at eval.c:362
#84 0x000000000057a7c8 in Fwhile (args=<value optimized out>) at eval.c:941
#85 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#86 0x0000000000577f55 in Fprogn (args=33191958) at eval.c:362
#87 0x000000000057afb0 in FletX (args=33196950) at eval.c:849
#88 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#89 0x0000000000577f55 in Fprogn (args=33192038) at eval.c:362
#90 0x000000000057829b in funcall_lambda (fun=33192166, nargs=0, arg_vector=0x7fffffffad00) at eval.c:3034
#91 0x0000000000577600 in apply_lambda (fun=33192166, args=12016002) at eval.c:2918
#92 0x0000000000577916 in eval_sub (form=<value optimized out>) at eval.c:2221
#93 0x0000000000577e50 in Fsetq (args=<value optimized out>) at eval.c:431
#94 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#95 0x0000000000577f55 in Fprogn (args=32716806) at eval.c:362
#96 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#97 0x0000000000577f55 in Fprogn (args=33175654) at eval.c:362
#98 0x000000000057a7c8 in Fwhile (args=<value optimized out>) at eval.c:941
#99 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#100 0x0000000000577f55 in Fprogn (args=33175670) at eval.c:362
#101 0x0000000000573d5d in Fsave_restriction (body=32719638) at editfns.c:3433
#102 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#103 0x0000000000577f55 in Fprogn (args=33175686) at eval.c:362
#104 0x00000000005724ed in Fsave_excursion (args=33175686) at editfns.c:948
#105 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#106 0x0000000000577f55 in Fprogn (args=33175702) at eval.c:362
#107 0x000000000057ad71 in Flet (args=32719462) at eval.c:919
#108 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#109 0x0000000000577f55 in Fprogn (args=51267078) at eval.c:362
#110 0x000000000056b97d in Fsave_current_buffer (args=51267014) at editfns.c:963
#111 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#112 0x0000000000577ad8 in eval_sub (form=<value optimized out>) at eval.c:2218
#113 0x0000000000577f55 in Fprogn (args=33175750) at eval.c:362
#114 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#115 0x0000000000577f55 in Fprogn (args=33175766) at eval.c:362
#116 0x000000000057afb0 in FletX (args=32719014) at eval.c:849
#117 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#118 0x0000000000577f55 in Fprogn (args=33175798) at eval.c:362
#119 0x000000000057829b in funcall_lambda (fun=33175926, nargs=6, arg_vector=0x7fffffffbb08) at eval.c:3034
#120 0x000000000057853d in Ffuncall (nargs=<value optimized out>, args=0x7fffffffbb00) at eval.c:2870
#121 0x000000000057958c in Fapply (nargs=<value optimized out>, args=0x7fffffffbbe0) at eval.c:2315
#122 0x0000000000577d37 in eval_sub (form=<value optimized out>) at eval.c:2129
#123 0x0000000000577e50 in Fsetq (args=<value optimized out>) at eval.c:431
#124 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#125 0x0000000000577f55 in Fprogn (args=32954278) at eval.c:362
#126 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#127 0x0000000000577f55 in Fprogn (args=32954310) at eval.c:362
#128 0x000000000057ad71 in Flet (args=32955334) at eval.c:919
#129 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#130 0x0000000000577f55 in Fprogn (args=32952326) at eval.c:362
#131 0x0000000000576968 in internal_catch (tag=Cannot access memory at address 0x39ee
) at eval.c:1065
#132 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#133 0x0000000000577f55 in Fprogn (args=32952454) at eval.c:362
#134 0x000000000057a7c8 in Fwhile (args=<value optimized out>) at eval.c:941
#135 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#136 0x0000000000577f55 in Fprogn (args=32952470) at eval.c:362
#137 0x000000000057a7c8 in Fwhile (args=<value optimized out>) at eval.c:941
#138 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#139 0x0000000000577f55 in Fprogn (args=32950950) at eval.c:362
#140 0x000000000057afb0 in FletX (args=32959158) at eval.c:849
#141 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#142 0x0000000000577f55 in Fprogn (args=32945158) at eval.c:362
#143 0x000000000057829b in funcall_lambda (fun=32945414, nargs=0, arg_vector=0x7fffffffc6f0) at eval.c:3034
#144 0x0000000000577600 in apply_lambda (fun=32945414, args=12016002) at eval.c:2918
#145 0x0000000000577916 in eval_sub (form=<value optimized out>) at eval.c:2221
#146 0x0000000000577f55 in Fprogn (args=51864742) at eval.c:362
#147 0x000000000057ad71 in Flet (args=51864710) at eval.c:919
#148 0x0000000000577d6c in eval_sub (form=<value optimized out>) at eval.c:2105
#149 0x000000000059c654 in readevalloop (readcharfun=13206037, stream=0x0, sourcename=15196033, printflag=0, unibyte=<value optimized out>, readfun=12016002, start=12016002, end=12016002) at lread.c:1814
#150 0x000000000059ce44 in Feval_buffer (buffer=<value optimized out>, printflag=12016002, filename=15210225, unibyte=12016002, do_allow_print=<value optimized out>) at lread.c:1875
#151 0x00000000005786db in Ffuncall (nargs=<value optimized out>, args=0x7fffffffcb98) at eval.c:2825
#152 0x00000000005b0543 in exec_byte_code (bytestr=14862, vector=140737488341912, maxdepth=14862, args_template=4611686018695757824, nargs=4611686018430533632, args=0x40000) at bytecode.c:898
#153 0x0000000000578155 in funcall_lambda (fun=8868069, nargs=<value optimized out>, arg_vector=0x7fffffffcd78) at eval.c:3041
#154 0x000000000057853d in Ffuncall (nargs=<value optimized out>, args=0x7fffffffcd70) at eval.c:2870
#155 0x0000000000578949 in call4 (fn=<value optimized out>, arg1=<value optimized out>, arg2=<value optimized out>, arg3=<value optimized out>, arg4=<value optimized out>) at eval.c:2628
#156 0x000000000059d729 in Fload (file=15211393, noerror=12016050, nomessage=12016050, nosuffix=15210225, must_suffix=<value optimized out>) at lread.c:1248
#157 0x00000000005786db in Ffuncall (nargs=<value optimized out>, args=0x7fffffffcf78) at eval.c:2825
#158 0x00000000005b0543 in exec_byte_code (bytestr=14862, vector=140737488343136, maxdepth=14862, args_template=4611686018695757824, nargs=4611686018430533632, args=0x40000) at bytecode.c:898
#159 0x000000000057853d in Ffuncall (nargs=<value optimized out>, args=0x7fffffffd1c8) at eval.c:2870
#160 0x00000000005b0543 in exec_byte_code (bytestr=14862, vector=140737488343496, maxdepth=14862, args_template=4611686018695757824, nargs=4611686018430533632, args=0x40000) at bytecode.c:898
#161 0x000000000057853d in Ffuncall (nargs=<value optimized out>, args=0x7fffffffd320) at eval.c:2870
#162 0x0000000000577d37 in eval_sub (form=<value optimized out>) at eval.c:2129
#163 0x000000000057a9ea in internal_lisp_condition_case (var=16350658, bodyform=11989750, handlers=11988166) at eval.c:1262
#164 0x00000000005b1c3f in exec_byte_code (bytestr=14862, vector=140737488344560, maxdepth=14862, args_template=4611686018695757824, nargs=4611686018430533632, args=0x40000) at bytecode.c:1094
#165 0x000000000057853d in Ffuncall (nargs=<value optimized out>, args=0x7fffffffd780) at eval.c:2870
#166 0x00000000005b0543 in exec_byte_code (bytestr=14862, vector=140737488344960, maxdepth=14862, args_template=4611686018695757824, nargs=4611686018430533632, args=0x40000) at bytecode.c:898
#167 0x0000000000577600 in apply_lambda (fun=9223613, args=12016002) at eval.c:2918
#168 0x0000000000577916 in eval_sub (form=<value optimized out>) at eval.c:2221
#169 0x000000000057a395 in Feval (form=12233238, lexical=<value optimized out>) at eval.c:2019
#170 0x0000000000576a88 in internal_condition_case (bfun=0x502e90 <top_level_2>, handlers=12067778, hfun=0x5057b0 <cmd_error>) at eval.c:1308
#171 0x00000000005032c6 in top_level_1 (ignore=<value optimized out>) at keyboard.c:1169
#172 0x0000000000576968 in internal_catch (tag=Cannot access memory at address 0x39ee
) at eval.c:1065
#173 0x0000000000505232 in command_loop () at keyboard.c:1124
#174 recursive_edit_1 () at keyboard.c:752
#175 0x0000000000505594 in Frecursive_edit () at keyboard.c:816
#176 0x00000000004ffa4b in main (argc=<value optimized out>, argv=<value optimized out>) at emacs.c:1652
(gdb) quit

Simpler backtrace:
$ gdb ./src/emacs
GNU gdb (Ubuntu/Linaro 7.2-1ubuntu11) 7.2
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
/home/nick/.gdbinit:3: Error in sourced command file:
No symbol table is loaded.  Use the "file" command.
Reading symbols from /home/nick/src/emacs/emacs.repo/emacs/src/emacs...done.
(gdb) run -Q -l ~/minimal.mh-rmail.el 
Starting program: /home/nick/src/emacs/emacs.repo/emacs/src/emacs -Q -l ~/minimal.mh-rmail.el
[Thread debugging using libthread_db enabled]
[New Thread 0x7fffe848b700 (LWP 27331)]
[New Thread 0x7fffe7a32700 (LWP 27332)]

Program received signal SIGABRT, Aborted.
0x00007ffff14fafe7 in kill () from /lib/x86_64-linux-gnu/libc.so.6
(gdb) bt
#0  0x00007ffff14fafe7 in kill () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00000000004fe4d5 in abort () at emacs.c:365
#2  0x000000000055f489 in mark_object (arg=<value optimized out>) at alloc.c:6221
#3  0x000000000055f4dc in mark_object (arg=<value optimized out>) at alloc.c:6217
#4  0x000000000055f4dc in mark_object (arg=<value optimized out>) at alloc.c:6217
#5  0x00000000005607cd in Fgarbage_collect () at alloc.c:5604
#6  0x00000000005777a4 in maybe_gc (form=10080278) at lisp.h:3526
#7  eval_sub (form=10080278) at eval.c:2054
#8  0x000000000057a395 in Feval (form=10080278, lexical=<value optimized out>) at eval.c:2019
#9  0x0000000000576bf0 in internal_condition_case_1 (bfun=0x502e80 <eval_dyn>, arg=10080278, handlers=12067778, hfun=0x500f40 <menu_item_eval_property_1>) at eval.c:1346
#10 0x000000000050a9df in menu_item_eval_property (sexpr=10080278) at keyboard.c:7669
#11 0x000000000050b30d in parse_menu_item (item=<value optimized out>, inmenubar=0) at keyboard.c:7845
#12 0x000000000045f5c8 in single_menu_item (key=19874770, item=<value optimized out>, dummy=<value optimized out>, skp_v=0x7fffffff1100) at menu.c:347
#13 0x0000000000516100 in map_keymap_item (map=<value optimized out>, fun=0x45f5a0 <single_menu_item>, args=12016002, data=0x7fffffff1100) at keymap.c:561
#14 map_keymap_internal (map=<value optimized out>, fun=0x45f5a0 <single_menu_item>, args=12016002, data=0x7fffffff1100) at keymap.c:601
#15 0x000000000045f45a in single_keymap_panes (keymap=16661238, pane_name=<value optimized out>, prefix=<value optimized out>, maxdepth=10) at menu.c:313
#16 0x0000000000460404 in parse_single_submenu (item_key=15310706, item_name=9151233, maps=<value optimized out>) at menu.c:568
#17 0x0000000000461ea0 in set_frame_menubar (f=0x11760a0, first_time=<value optimized out>, deep_p=1) at xmenu.c:1047
#18 0x000000000042d664 in update_menu_bar (f=0x11760a0, save_match_data=0, hooks_run=1) at xdisp.c:11287
#19 0x0000000000443ab5 in prepare_menu_bars () at xdisp.c:11165
#20 0x0000000000448016 in redisplay_internal () at xdisp.c:13030
#21 0x000000000050c816 in read_char (commandflag=1, nmaps=2, maps=0x7fffffffd620, prev_event=12016002, used_mouse_menu=0x7fffffffd7d4, end_time=0x0) at keyboard.c:2456
#22 0x000000000050edca in read_key_sequence (keybuf=0x7fffffffd830, prompt=12016002, dont_downcase_last=0, can_return_switch_frame=1, fix_current_buffer=1, bufsize=30) at keyboard.c:9310
#23 0x0000000000510946 in command_loop_1 () at keyboard.c:1449
#24 0x0000000000576a88 in internal_condition_case (bfun=0x510780 <command_loop_1>, handlers=12067778, hfun=0x5057b0 <cmd_error>) at eval.c:1308
#25 0x00000000005031de in command_loop_2 (ignore=<value optimized out>) at keyboard.c:1152
#26 0x0000000000576968 in internal_catch (tag=Cannot access memory at address 0x6aa0
) at eval.c:1065
#27 0x000000000050524a in command_loop () at keyboard.c:1131
#28 recursive_edit_1 () at keyboard.c:752
#29 0x0000000000505594 in Frecursive_edit () at keyboard.c:816
#30 0x00000000004ffa4b in main (argc=<value optimized out>, argv=<value optimized out>) at emacs.c:1652
(gdb)